# budgets.scenarios.context

Read the company's founder or staff pay scenario starting point in one currency: bank cash with freshness, recurring costs, upcoming obligations and existing corporate income-tax and GST/HST planning estimates. Returns dated sources, protected tax reserves, assumptions and missing information. Optional through is bounded to 36 months. No future income is assumed. Does not save a budget or move money.

`GET | POST /api/v1/accounting/budgets.scenarios.context`

Permissions: `accounting:read` · Roles: admin, finance

MCP tool: `accounting_budgets_scenarios_context`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `currency` | string | Yes | Three-letter currency code, such as CAD or USD. |
| `through` | string (date) |  |  |

## Example request

```bash
curl -G https://app.getoatmilk.com/api/v1/accounting/budgets.scenarios.context \
  -H "Authorization: Bearer $OATMILK_API_KEY" \
  --data-urlencode 'currency=CAD'
```

Reference page: https://app.getoatmilk.com/docs/api/budgets.scenarios.context
